package com.example.demo.types.model;

import java.util.Objects;

import com.example.demo.core.model.BaseEntity;
// Сама сущность вида игры
public class TypeEntity extends BaseEntity {
    private String name;

    public TypeEntity() {
        super();
    }

    public TypeEntity(Long id, String name) {
        super(id);
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, name);
    }

    //Сравнение 2 типов (жанров) игр
    //перегрузка метода equals 
    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
            
        // Если пришедший объект пустой или другого класса, то жанры не равны
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
      
        final TypeEntity second = (TypeEntity) obj;
        //Сравнение по id и названию
        return Objects.equals(second.getId(), id) && Objects.equals(second.getName(), name);
    }

}
