package com.example.demo.users.api;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.ArrayList;
import java.util.List;

import jakarta.validation.constraints.Email;
import jakarta.validation.constraints.NotBlank;


import com.example.demo.games.model.GameEntity;

public class UserDto {
    private Long id;
    //ник, почта и пароль не null 
    @NotBlank
    private String name;
    @NotBlank
    @Email(message = "Email должен быть валидным", regexp = "^([\\w\\.-]+)@([a-zA-Z\\d\\.-]+)\\.([a-zA-Z]{2,})$")
    private String email;
    @NotBlank   
    private String password;
    //У пользователя может не быть игр, поэтому нет NotEmptyv
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private List<Long> games = new ArrayList<>();

    //можно только читать для сериализации, нельзя записывать (устанавливать) во время десериализации
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }



    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }




    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }



    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }


    public List<Long> getGames() {
        return games;
    }
    public void setGames(List<Long> games) {
        this.games = games;
    }

}
